<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Category extends Model
{
    use HasFactory;

    //has many children
    public function children()
    {
        return $this->hasMany(Category::class, 'category_parent', 'id');
    }
}
